Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
3d.decor

[Đã xong] Lisp chuyển nhiều layer về 1 layer

Các bài được khuyến nghị

em là dân amater về cad thôi vì em làm nội thất

em dùng rất ít layer vì dùng nhiều cũng không làm gì cả

nhiều lúc nhận file từ các bác kiến trúc chóang luôn về layer

 

em còn còn một yêu cầu nữa

 

em cần một lisp vd như file autocad có rất nhiều layer

em lấy một số layer chuyển tên và màu về layer em hay dùng như

layer: cut mau 1, glass mau 152, hide mau 14, hatch mau 98, funitures mau 31, tree mau 3, text mau 4, center mau 8...

vạy trù mấy layer đó ra em muốn chuyển tất còn lại thành layer wall mau so 7

 

rat mong cac pro giup do

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

em là dân amater về cad thôi vì em làm nội thất

em dùng rất ít layer vì dùng nhiều cũng không làm gì cả

nhiều lúc nhận file từ các bác kiến trúc chóang luôn về layer

 

em còn còn một yêu cầu nữa

 

em cần một lisp vd như file autocad có rất nhiều layer

em lấy một số layer chuyển tên và màu về layer em hay dùng như

layer: cut mau 1, glass mau 152, hide mau 14, hatch mau 98, funitures mau 31, tree mau 3, text mau 4, center mau 8...

vạy trù mấy layer đó ra em muốn chuyển tất còn lại thành layer wall mau so 7

 

rat mong cac pro giup do

Hề hề hề,

Bạn xài thử cái này coi sao hỉ...

(defun c:dlay (/ ss ssl en enl lay)
(vl-load-com)
(command "undo" "be")
(setq ss (ssget "x")
       ssl (acet-ss-to-list ss))
(foreach en ssl
     (setq enl (entget en)
              lay (cdr (assoc 8 enl)))
     (if (or (/= lay "cut") (/= lay "glass") (/= lay "hide") (/= lay "hatch") (/= lay "funitures") (/= lay "tree") (/= lay "text") (/= lay "center"))
          (progn
                 (if (= (tblsearch "layer" "wall") nil)
                     (command "layer" "n" "wall" "c" "7" "wall" "lt" "continuous" "wall" "")
                 )
                 (command "change" en "" "p" "la" "wall" "")
                 (if (/= (cdr (assoc 62 enl)) nil)
                     (command "change" en "" "p" "c" "7" "")
                 )
         )
     )
)
(command "undo" "e")
(princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

Bạn xài thử cái này coi sao hỉ...

(defun c:dlay (/ ss ssl en enl lay)
(vl-load-com)
(command "undo" "be")
(setq ss (ssget "x")
       ssl (acet-ss-to-list ss))
(foreach en ssl
     (setq enl (entget en)
              lay (cdr (assoc 8 enl)))
     (if (or (/= lay "cut") (/= lay "glass") (/= lay "hide") (/= lay "hatch") (/= lay "funitures") (/= lay "tree") (/= lay "text") (/= lay "center"))
          (progn
                 (if (= (tblsearch "layer" "wall") nil)
                     (command "layer" "n" "wall" "c" "7" "wall" "lt" "continuous" "wall" "")
                 )
                 (command "change" en "" "p" "la" "wall" "")
                 (if (/= (cdr (assoc 62 enl)) nil)
                     (command "change" en "" "p" "c" "7" "")
                 )
         )
     )
)
(command "undo" "e")
(princ)
)

thank you pro

nhờ pro viết thêm dòng lisp tẩy các layer thừa sau khi chuyển đổi xong được không

lisp chạy rất ổn rồi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×